Question about Python on Mac

elventear elventear at gmail.com
Fri May 19 23:19:51 CEST 2006


Hello,

I am working with Python 2.4.3 built from source courtesy of Fink. So
far so good, until now. I want to use a module called GMPY
(http://gmpy.sf.net/). I am able to build correctly the module, but
once I try to import it I get the following error:

ImportError: Failure linking new module: gmpy.so: Symbol not found:
___gmpn_sub_nc
 Referenced from: /sw/lib/libgmp.3.dylib
 Expected in: dynamic lookup

The weird thing is that just for kicks I tried building with Python
that comes with MacOSX (py2.3) and it works. It builds and it loads
fine. Anybody have an idea why this would happen? Any ideas how to
solve this? In the worse case scenario, can I use the binary (gmpy.so)
built with against Python 2.3 with Python 2.4.3 (It seems to load
correctly but I don't know if I should expect any meltdowns later on)

I would appreciate any suggestions.

Thanks.




More information about the Python-list mailing list